Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextMultiple Method (Int32)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextMultiple is identical to MoveFirstMultiple(Int32). Otherwise, move the cursor to the next key/data pair of the database, and store that pair and as many duplicate data items that can fit in a buffer the size of BufferSize in CurrentMultiple. In the presence of duplicate key values, the value of CurrentMultiple.Key may not change.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public bool MoveNextMultiple(
    	int BufferSize
    )

Visual Basic (Declaration)
    Public Function MoveNextMultiple ( _
    	BufferSize As Integer _
    ) As Boolean

Visual C++
    public:
    bool MoveNextMultiple(
    	int BufferSize
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextMultiple Overload
BerkeleyDB Namespace